#pragma once

#include "resource.h"
#include <apl_gui.h>
#include "afxwin.h"
// CGenSpecDlg dialog

class CSpecGenerator;

class CGenSpecDlg : public CDialog
{
	DECLARE_DYNAMIC(CGenSpecDlg)

public:
	CGenSpecDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CGenSpecDlg();

// Dialog Data
	enum { IDD = IDD_GEN_SPEC };

	CSpecGenerator *m_SpecGenerator;
	bool m_b4change;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
protected:
	virtual void OnOK();
public:
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	CButton m_GetFormatForPartBtn;
	CButton m_SetBCHForPartBtn;
	CButton m_SetEmptyPositionBtn;
	CButton m_ClearExistPosBtn;
	CButton m_SaveToDBBtn;
	CButton m_SetNevVersinActiveBtn;
	afx_msg void OnBnClickedSaveSpecInDb();
	afx_msg void OnBnClickedSetEmptyPosition();
	afx_msg void OnBnClickedGetFormatForPart();
	CButton m_UserSubstBtn;
	CButton m_use_ost4_btn;
	CButton m_bch_add_mat_btn;
	CButton m_usage_btn;
	CButton m_use_assembly_descr_btn;
};
